# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/70_hash.ipynb.

# %% auto 0
__all__ = ['matrix', 'number', 'string']

# %% ../nbs/70_hash.ipynb 2
from typing import Union, Optional

import numpy as np

# %% ../nbs/70_hash.ipynb 5
def matrix(
    matrix: Union[list, np.ndarray], # Input
    decimal_sep_replacement: Optional[bool] = '_' # Decimal point separator
) -> str: # Text representation
    
    res = ''.join(np.vectorize(str)(np.array(matrix).flatten()))
    
    if decimal_sep_replacement:
        
        res = res.replace(r'.', decimal_sep_replacement)
    
    return res

assert matrix([2, 3]) == '23'

# %% ../nbs/70_hash.ipynb 16
def number(
    number: Union[float, np.float64], # Input
    decimal_sep_replacement: Optional[bool] = '_' # Decimal point separator
) -> str: # Text representation
    
    res = str(number)
    
    if decimal_sep_replacement:
        
        res = res.replace(r'.', decimal_sep_replacement)
    
    return res

assert number(2.3) == '2_3'

# %% ../nbs/70_hash.ipynb 20
def string(
    s: str # Input
) -> str: # Text representation
    
    return ''.join(x for x in s if x.isalnum())
